/*
 * Copyright (C) 2010 awk4j - https://ja.osdn.net/projects/awk4j/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package plus.concurrent;

import java.util.Map;

/**
 * Atomic Map の実装.
 * <p>
 * 呼び出し元で、アノテーションを意識するのを嫌った実装.
 * <p>
 * The class to which this annotation is applied is thread-safe.
 *
 * @author Kunio Himei.
 */
public class AtomicMap extends FutureMap<Object, Object> {

    private static final int initialCapacity = 19;

    public AtomicMap() {
        super(initialCapacity);
    }

    public AtomicMap(Map<Object, Object> map) {
        super(map);
    }

}